Package org.springframework.aop.support

# Class ClassFilters

java.lang.Object
org.springframework.aop.support.ClassFilters

public abstract class ClassFilters extends Object
Static utility methods for composing `ClassFilters`.

Since:
  11.11.2003
Author:
  Rod Johnson, Rob Harrop, Juergen Hoeller, Sam Brannen
See Also:
  - `MethodMatchers`
  - `Pointcuts`

## Constructor Summary

Constructors
Constructor
Description
`ClassFilters()`

## Method Summary

Modifier and Type
Method
Description
`static ClassFilter`
`intersection(ClassFilter[] classFilters)`
Match all classes that all of the given ClassFilters match.
`static ClassFilter`
`intersection(ClassFilter cf1, ClassFilter cf2)`
Match all classes that both of the given ClassFilters match.
`static ClassFilter`
`negate(ClassFilter classFilter)`
Return a class filter that represents the logical negation of the specified filter instance.
`static ClassFilter`
`union(ClassFilter[] classFilters)`
Match all classes that either (or all) of the given ClassFilters matches.
`static ClassFilter`
`union(ClassFilter cf1, ClassFilter cf2)`
Match all classes that either (or both) of the given ClassFilters matches.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClassFilters

public ClassFilters()

## Method Details

### union

public static ClassFilter union(ClassFilter cf1, ClassFilter cf2)
Match all classes that either (or both) of the given ClassFilters matches.

Parameters:
  `cf1` - the first ClassFilter
  `cf2` - the second ClassFilter
Returns:
  a distinct ClassFilter that matches all classes that either of the given ClassFilter matches

### union

public static ClassFilter union(ClassFilter[] classFilters)
Match all classes that either (or all) of the given ClassFilters matches.

Parameters:
  `classFilters` - the ClassFilters to match
Returns:
  a distinct ClassFilter that matches all classes that either of the given ClassFilter matches

### intersection

public static ClassFilter intersection(ClassFilter cf1, ClassFilter cf2)
Match all classes that both of the given ClassFilters match.

Parameters:
  `cf1` - the first ClassFilter
  `cf2` - the second ClassFilter
Returns:
  a distinct ClassFilter that matches all classes that both of the given ClassFilter match

### intersection

public static ClassFilter intersection(ClassFilter[] classFilters)
Match all classes that all of the given ClassFilters match.

Parameters:
  `classFilters` - the ClassFilters to match
Returns:
  a distinct ClassFilter that matches all classes that both of the given ClassFilter match

### negate

public static ClassFilter negate(ClassFilter classFilter)
Return a class filter that represents the logical negation of the specified filter instance.

Parameters:
  `classFilter` - the `ClassFilter` to negate
Returns:
  a filter that represents the logical negation of the specified filter
Since:
  6.1